View Issue Details

IDProjectCategoryView StatusLast Update
0014823LazarusLCLpublic2011-12-01 11:24
ReporterSven BarthAssigned ToFelipe Monteiro de Carvalho 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.28Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0014823: WinCE: Sending a scroll message to a grid with hidden/deactivated scrollbar shows that scrollbar
DescriptionWhen I send a TLMScroll with e.g. LM_HSCROLL to a grid (example has a TStringGrid, but TDrawGrid works, too) with ScrollBars = ssAutoVertical (or ssVertical) the horizontal scrollbar is shown. In the example it's also unusable.

When I use SetScrollPos the scrollbar is not shown.

It might also work if vertical one scrolled by code although it's hidden/deactivated (I didn't test that).
Additional InformationI hope the files in the example are sufficient to be usable ^^

The left button ("Scroll horizontally") uses TLMScroll and the right one ("Scroll horizontally 2") uses SetScrollPos.
Tagswince
Fixed in Revision25802, 25803
LazTarget-
WidgetsetWinCE
Attached Files

Relationships

related to 0013300 closedFelipe Monteiro de Carvalho TScrollBox and WinCE 

Activities

2009-10-16 17:59

 

gridscroll.zip (2,136 bytes)

Felipe Monteiro de Carvalho

2010-05-28 15:30

developer   ~0038092

Still does it, even after the latest set of grid fixes.

Felipe Monteiro de Carvalho

2010-05-31 16:29

developer   ~0038178

I fixed it as much as possible. If you change the scroll position under Windows CE it will show the scrollbar, it isn't my fault, that's just how MS made it. And worse, if you hide the scrollbar again, then it will go to position zero, so the operation that you are trying to do is impossible under WinCE.

I fixed by adding code which will cancel the operation if you are trying to force a scroll with a hidden scrollbar. I didn't find any solution to tell the control that the scrollbar will from now on be activated, so that was the best solution. See rev25803 for more details.

Issue History

Date Modified Username Field Change
2009-10-16 17:59 Sven Barth New Issue
2009-10-16 17:59 Sven Barth File Added: gridscroll.zip
2009-10-16 17:59 Sven Barth Widgetset => WinCE
2009-10-20 16:50 Felipe Monteiro de Carvalho Status new => assigned
2009-10-20 16:50 Felipe Monteiro de Carvalho Assigned To => Felipe Monteiro de Carvalho
2009-10-20 16:59 Felipe Monteiro de Carvalho Relationship added related to 0013300
2009-10-20 17:00 Felipe Monteiro de Carvalho Tag Attached: wince
2010-05-28 15:30 Felipe Monteiro de Carvalho Note Added: 0038092
2010-05-31 16:29 Felipe Monteiro de Carvalho Fixed in Revision => 25802, 25803
2010-05-31 16:29 Felipe Monteiro de Carvalho LazTarget => -
2010-05-31 16:29 Felipe Monteiro de Carvalho Status assigned => resolved
2010-05-31 16:29 Felipe Monteiro de Carvalho Fixed in Version => 0.9.29 (SVN)
2010-05-31 16:29 Felipe Monteiro de Carvalho Resolution open => fixed
2010-05-31 16:29 Felipe Monteiro de Carvalho Note Added: 0038178
2011-12-01 11:24 Marc Weustink Status resolved => closed